input "Enter year (e.g. 2025): ",yr_val
input "Enter month (e.g. 09 for September): ",mo_val
input "Enter date (e.g. 05 for 5th): ",dy_val
input "Enter hour (e.g. 16 for 4pm): ",hr_val
input "Enter minute (0 .. 60): ",mn_val
input "Enter second (0 .. 59): ",sc_val

RTC settime yr_val, mo_val, dy_val, hr_val, mn_val, sc_val

print "Commit this time to the PI? (Y/N)"

do
  response$ = ucase$(inkey$)
  if response$ = "Y" then
    RTC gettime
    response$ = "N"
  endif
loop until response$ = "N"

end